#!/esr/bin/env ruby
# -*- coding: utf-8 -*-

puts"問題"
puts"Mさんは下の動物の中で1つだけ嫌いな動物がいます"
puts"それはなんでしょうか?"
puts"1:ねこさん"
puts"2:いぬさん"
puts"3:たぬきさん"
puts"4:ふくろうさん"
puts"5:くまさん"
puts"6:ペンギンさん"
puts"7:ピカチュウさん"

while true
print "答えを入力:"
kotae=gets.chomp.to_i
if kotae==1
puts"だーいすき!!"
break
elsif kotae==2
puts"だーいすき!!"
break
elsif kotae==3
puts"だーいすき!!"
break
elsif kotae==4
puts"だーいすき!!"
break
elsif kotae==5
puts"大正解!!"
puts"おめでとー"
break
elsif kotae==6
puts"だーいすき!!"
break
elsif kotae==7
puts"こうかはばつぐんだ"
puts"もう一度答えられるようだ..."
redo
else
puts"?"
redo
end
end

